Subject: RE: use of netconf to configure Unix systems

From: "McDonald, Ira" <[email-masked]>
Date: Sat, 18 Mar 2006 08:35:27 -0800

Hi Joel,

+1

If Netconf really wants a "Well Known Port", then OK, let's
move on.

But it really is distressing that the IESG takes no active
part (apparently) in setting and enforcing policies for the
use of the remainder of this scarce resource.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Joel M. Halpern
> Sent: Friday, March 17, 2006 11:47 PM
> To: Andy Bierman
> Cc: Eliot Lear; netconf
> Subject: Re: use of netconf to configure Unix systems
> 
> 
> minor: Ira and I are not the only people speaking up.  I was struck 
> by the tone of the debate that was occurring, which is why I spoke up.
> 
> And just to clarify my own sloppiness, I realized after I wrote the 
> note that "root" rather than "kernel" is what is needed for a low 
> port, and that is indeed easier.  But it is MUCH better to develop 
> and run applications without having to make them root, even 
> briefly.  (The coupling of the various permissions within Unix is not 
> our problem, but that doesn't make it desirable.)
> 
> Given that, to paraphrase Phil's comment, it doesn't make that much 
> difference, it would seem more sensible to go for a higher 
> range port number.
> However, neither Ira nor I speak for the IESG.  Heck, I'm not even 
> speaking as a "reviewer", just as a participant / observer in this 
> working group.
> I guess I just find "its appropriate to use low numbers for this" a 
> bad reason.  From different perspectives, different things are 
> "privileged".  I know many folks who will claim that the only really 
> privileged operation is collecting money. And others.......
> 
> Yours,
> Joel
> 
> PS: I would prefer not to hang this protocol up on a debate about 
> whether <1024 ports should ever be given out.  That would be a waste 
> of all our time.
> 
> At 09:40 PM 3/17/2006, Andy Bierman wrote:
> >There are ways to allow users specific access to root 
> programs (e,g,. 'su').
> >
> >There is really no way to logically conclude this discussion.
> >
> >You and Ira are arguing that no protocol should ever use the 
> system port
> >space again, including NETCONF.  If this is IESG policy, 
> then I guess we
> >are done discussing it.
> >
> >Some others have said the port number doesn't really matter,
> >except a bit for unix implementations, and some "legacy bias" against
> >using higher port numbers for system services. (Large "don't 
> care" camp)
> >
> >Eliot and I are arguing that the task of configuring a 
> networking device
> >(a server, not a plain host!)  is clearly a privileged task 
> in almost all
> >environments, which is NETCONF's chartered purpose.  If 
> device configuration
> >and control isn't a system task on a networking device, then
> >I don't know what is.
> >
> >If there are no possible reasons for assigning system port numbers
> >anymore, then IANA can stop asking which range the new protocol
> >should be assigned, and WGs like us don't need to argue about
> >anymore.
> 
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/netconf/>
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

---

From: Andy Bierman <[email-masked]>
Date: Sat, 18 Mar 2006 09:59:26 -0800

> use of the remainder of this scarce resource.

A) I have asked the ADs for advice.
     If we have no consensus, then do we have "rough consensus"?
     Using the Olympics system (throw out the high and low scores),
     the rough consensus is "don't really care".
     But, if the WG can show sufficient justification, then system port 
numbers
     can be assigned. 

B) scarce resource
     If there is no point to EVER assigning any protocol to this range 
anymore,
     then it's no longer a resource, scarce or otherwise.

Either the assignment range matters, in which case I believe there is 
sufficient
justification to ask for well known port numbers for NETCONF, or the
assignment range doesn't matter, and therefore all new static ports are
registered ports.  I can live with either decision, but I would prefer
an actual IESG decision in this matter.

If I posed the question to operators as "Would it matter to you if SSH was
initially assigned a registered port number instead of a well-known port 
number?"
I wonder if I would get the same answer as for NETCONF. (Yes --  "huh?" ;-)

This does need to be resolved soon.

> - Ira

Andy

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Sun, 19 Mar 2006 21:05:28 +0100

On Sat, Mar 18, 2006 at 09:59:26AM -0800, Andy Bierman wrote:
 
> Either the assignment range matters, in which case I believe there
> is sufficient justification to ask for well known port numbers for
> NETCONF, or the assignment range doesn't matter, and therefore all
> new static ports are registered ports.  I can live with either
> decision, but I would prefer an actual IESG decision in this matter.

I have no strong opinion. In principle, I would prefer a port < 1024
(since I am biased to Unix like systems ;-). The only thing that
scares me is that we would have to request three TCP ports, which I
find a bit costly given the fact that it is unclear whether some of
the transport mappings will see much deployment.

What about the following solution:

a) A port number < 1024 is assigned to the NETCONF/SSH transport
   mapping since this is the default mapping everybody has to support.

b) Two port numbers > 1024 are assigned to he BEEP and SOAP mapping,
   which are both optional transport mappings.

Sure, this solution is at odds with the argument for having a port <
1024 in the first place. But it keeps some economy with using special
port numbers.

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany